import { OnInit, OnDestroy } from '@angular/core';
import { BaseArrayComponent } from '../../../core/base-array/base-array.component';
import { OneToManyContainerComponentInputs } from './one-to-many-container.component.inputs';
export declare class OneToManyContainerComponent extends BaseArrayComponent implements OnInit, OnDestroy {
    selectedIndex: number;
    arrayData: Array<any>;
    dataForDynArray: {
        index: number;
    };
    inputs: OneToManyContainerComponentInputs;
    private valueSubs;
    constructor(config: any);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getKeys(item: any): string[];
    addItem(): void;
    removeItem(index: any): void;
    onClick(index: any): void;
}
